# -*- encoding: binary -*-

module Unicorn

  # Frequently used constants when constructing requests or responses.  Many times
  # the constant just refers to a string with the same contents.  Using these constants
  # gave about a 3% to 10% performance improvement over using the strings directly.
  # Symbols did not really improve things much compared to constants.
  module Const
    UNICORN_VERSION="0.97.0"

    DEFAULT_HOST = "0.0.0.0" # default TCP listen host address
    DEFAULT_PORT = 8080      # default TCP listen port
    DEFAULT_LISTEN = "#{DEFAULT_HOST}:#{DEFAULT_PORT}"

    # The basic max request size we'll try to read.
    CHUNK_SIZE=(16 * 1024)
  end

end
